{% extends 'base.html' %}
{% load custom_filters %}

{% block content %}
<section id="news">
    {% if section == 'exhibition' %}
    {% for image in images %}
    {% if forloop.counter0 == 0 %}
    <img src="{{ image.file.url }}" width="100%" height="500" style="object-fit: cover;object-position: 50% 10%" />
    {% endif  %}
    {% endfor %}
    {% else %}
    <img src="{{ post.image.url }}" width="100%" height="500" style="object-fit: cover;object-position: 50% 10%" />
    {% endif %}
    <div class="container my-5">
        <div class="news-title text-center my-4">
            <h3><strong>{{ post.title }}</strong></h3>
            <h5>{{ post.date_created|date:"l, d F Y - H:i" }} WIB</h5>
        </div>
        <p class="news-paragraph" style="margin: 0 200px;">{{ post.content|safe }}</p>
        {% if section == 'exhibition' %}
            {% for image in images %}
                {% if forloop.counter0|row %}
                <div class="row mt-5">
                {% endif %}
                <div class="col-md-4">
                    <img src="{{ image.file.url }}" height="200" width="200" style="object-fit: cover;">
                </div>
                {% if forloop.counter0|endrow %}
                </div>               
                {% endif %}
            {% endfor %}
            {% if images|length|closer  %}
                </div>
            {% endif %}
        {% else %}
        <div class="row mt-5">
            <div class="col-md-4 text-center">
                <h5><strong>Teks</strong></h5>
                <p>{{ post.author }}</p>
            </div>
            <div class="col-md-4 text-center">
                <h5><strong>Kontributor Foto</strong></h5>
                <p>{{ post.contributor }}</p>
            </div>
            <div class="col-md-4 text-center">
                <h5><strong>Editor</strong></h5>
                <p>{{ post.editor }}</p>
            </div>
        </div>
        {% endif %}
        <hr>
        <h3 class="text-center mt-5"><strong>Artikel Terkait</strong></h3>
        <div class="row mt-5">
            {% if related %}
            {% for post in related %}
            <div class="col-md-4 text-center">
                <a href="/news/{{ post.title|slug }}" style="color: black!important">
                    <h5><strong>{{ post.title }}</strong></h5>
                </a>
                <p>{{ post.content|safe|truncatewords:25 }}</p>
            </div>
            {% endfor %}
            {% else %}
            <h4 class="mx-auto">Tidak ada artikel terkait</h4>
            {% endif %}
        </div>
        {% if section != 'exhibition' %}
        <hr>
        <h3 class="text-center mt-5"><strong>Komentar</strong></h3>
        <form id="comment-form" action="/comment/submit/" method="post">
            {% csrf_token %}
            <div class="form-group">
                <label for="post-title">Title</label>
                <input type="title" class="form-control" id="post-title" name="title" value="{{ post.title }}" readonly>
            </div>
            <div class="form-group">
                <label for="post-email">Email</label>
                <input type="email" class="form-control" id="post-email" name="email" placeholder="Alamat Email">
            </div>
            <div class="form-group">
                <textarea class="form-control" id="comment" rows="4" name="content"
                    placeholder="Berikan Komentar"></textarea>
            </div>
            <button type="submit" class="btn btn-primary mx-auto mb-2">Kirim</button>
        </form>

        <div id="comment-section">
            <h6 class="my-5"><span id="num-comment"></span> komentar</h6>
        </div>
        {% endif %}
</section>

<div id="snackbar">Komentar telah terkirim!</div>
{% endblock %}

{% block js %}
<script>
    retrieveComment();

    function retrieveComment() {

        $('.comment-box').detach();

        var url = '/comment/{{ post.title }}/';

        $.ajax({
            type: "GET",
            url: url,
            success: function (data) {
                data = JSON.parse(data);

                $('#num-comment').html(data.length);

                if (data.length > 0) {
                    for (var i = data.length - 1; i >= 0; i--) {
                        $('#comment-section').append(`
                            <div class="comment-box my-5">
                                <div class="comment-head">
                                    <h6 class="comment-name">
                                    ` + data[i].fields.author_email + `
                                    </h6>
                                    <span>
                                    ` + created(data[i].fields.date_created) + `
                                    </span>
                                    <i class="fa fa-reply"></i>
                                </div>
                                <div class="comment-content">
                                    ` + data[i].fields.content + `
                                </div>
                            </div>
                        `)
                    }
                }
            }
        });
    }

    function created(date2) {
        date1 = new Date();
        date2 = new Date(date2);

        var res = Math.abs(date1 - date2) / 1000;

        // get total hari between two dates
        var hari = Math.floor(res / 86400);

        // get jam        
        var jam = Math.floor(res / 3600) % 24;

        // get menit
        var menit = Math.floor(res / 60) % 60;

        if (hari > 0) {
            return hari + " hari lalu";
        } else if (jam > 0) {
            return jam + " jam lalu";
        } else if (menit > 0) {
            return menit + " menit lalu";
        } else {
            return 0 + " menit lalu";
        }

    }

    $('#comment-form').submit(function (e) {
        e.preventDefault();
        var form = $(this);
        var url = form.attr('action');

        $.ajax({
            type: "POST",
            url: url,
            data: form.serialize(),
            success: function (data) {
                if (data.response == "success") {
                    $("#snackbar").addClass("show");
                    setTimeout(function () {
                        $("#snackbar").removeClass("show");
                    }, 3000);
                    retrieveComment();
                }
            }
        });
    });
</script>
{% endblock %}